org.modeshape.sequencer.teiid.xmi

## Class XmiAttribute

- java.lang.Object
- - org.modeshape.sequencer.teiid.xmi.XmiBasePart
  - - org.modeshape.sequencer.teiid.xmi.XmiAttribute

- All Implemented Interfaces:
    XmiDescendent, XmiPart

      public class XmiAttribute
      extends XmiBasePart
      implements XmiDescendent

  An attribute of an XMI element.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmiAttribute(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getNamespacePrefix()`
    `String` | `getNamespaceUri()`
    `XmiElement` | `getParent()`
    `int` | `hashCode()`
    `void` | `setParent(XmiElement parent)`

    - ### Methods inherited from class org.modeshape.sequencer.teiid.xmi.XmiBasePart

      `getName, getQName, getValue, setNamespacePrefix, setNamespaceUri, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.modeshape.sequencer.teiid.xmi.XmiPart

      `getName, getQName, getValue`

- - ### Constructor Detail

    - #### XmiAttribute

          public XmiAttribute(String name)

      Parameters:
        `name` - the attribute name (cannot be `null` or empty)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `XmiBasePart`
      See Also:
        `XmiBasePart.equals(java.lang.Object)`

    - #### getNamespacePrefix

          public String getNamespacePrefix()

      Specified by:
        `getNamespacePrefix` in interface `XmiPart`
      Overrides:
        `getNamespacePrefix` in class `XmiBasePart`
      Returns:
        the namespace prefix (can be `null` or empty)
      See Also:
        `XmiBasePart.getNamespacePrefix()`

    - #### getNamespaceUri

          public String getNamespaceUri()

      Specified by:
        `getNamespaceUri` in interface `XmiPart`
      Overrides:
        `getNamespaceUri` in class `XmiBasePart`
      Returns:
        the namespace URI (can be `null` or empty)
      See Also:
        `XmiBasePart.getNamespaceUri()`

    - #### getParent

          public XmiElement getParent()

      Specified by:
        `getParent` in interface `XmiDescendent`
      Returns:
        the parent (can be `null`)
      See Also:
        `XmiDescendent.getParent()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `XmiBasePart`
      See Also:
        `XmiBasePart.hashCode()`

    - #### setParent

          public void setParent(XmiElement parent)

      Specified by:
        `setParent` in interface `XmiDescendent`
      Parameters:
        `parent` - the new parent (can be `null`)
      See Also:
        `XmiDescendent.setParent(org.modeshape.sequencer.teiid.xmi.XmiElement)`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.